Create application
curl --request POST \
--url https://cloud.laravel.com/api/applications \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"repository": "<string>",
"name": "<string>",
"cluster_id": "<string>"
}
'{
"data": {
"id": "<string>",
"type": "applications",
"attributes": {
"name": "<string>",
"slug": "<string>",
"slack_channel": "<string>",
"avatar_url": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"repository": {
"full_name": "<string>",
"default_branch": "<string>"
}
},
"relationships": {
"repository": {
"data": {
"type": "repositories",
"id": "<string>"
}
},
"organization": {
"data": {
"type": "organizations",
"id": "<string>"
}
},
"environments": {
"data": [
{
"type": "environments",
"id": "<string>"
}
]
},
"deployments": {
"data": [
{
"type": "deployments",
"id": "<string>"
}
]
},
"defaultEnvironment": {
"data": {
"type": "environments",
"id": "<string>"
}
}
}
},
"included": [
{
"id": "<string>",
"type": "repositories",
"attributes": {
"name": "<string>"
}
}
]
}Applications
Create application
Create a new application.
POST
/
applications
Create application
curl --request POST \
--url https://cloud.laravel.com/api/applications \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"repository": "<string>",
"name": "<string>",
"cluster_id": "<string>"
}
'{
"data": {
"id": "<string>",
"type": "applications",
"attributes": {
"name": "<string>",
"slug": "<string>",
"slack_channel": "<string>",
"avatar_url": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"repository": {
"full_name": "<string>",
"default_branch": "<string>"
}
},
"relationships": {
"repository": {
"data": {
"type": "repositories",
"id": "<string>"
}
},
"organization": {
"data": {
"type": "organizations",
"id": "<string>"
}
},
"environments": {
"data": [
{
"type": "environments",
"id": "<string>"
}
]
},
"deployments": {
"data": [
{
"type": "deployments",
"id": "<string>"
}
]
},
"defaultEnvironment": {
"data": {
"type": "environments",
"id": "<string>"
}
}
}
},
"included": [
{
"id": "<string>",
"type": "repositories",
"attributes": {
"name": "<string>"
}
}
]
}Authorizations
The Bearer Token generated on the Cloud UI.
Body
application/json
Required string length:
3 - 40Pattern:
^[\p{Latin}0-9 _.,'\-&()!#+:@]+$Available options:
us-east-2, us-east-1, ca-central-1, eu-central-1, eu-west-1, eu-west-2, me-central-1, ap-southeast-1, ap-southeast-2, ap-northeast-1 The source control provider. This parameter will be required starting March 9, 2026.
Available options:
github, gitlab, bitbucket The identifier of a dedicated cluster to deploy to. Only fill it if your organization has a dedicated cluster and you want to use it for this application.
Response
ApplicationResource
Was this page helpful?
⌘I

